/******************************************************************************
all the deviated classes of this have a same property:
the result of a pixel is only one number.  Comparing with normal RGB image,
one pixel is presented by a 3-element's vector.
******************************************************************************/
package yi.iu.processor.channel;

import java.awt.*;

abstract public class ChannelMaker extends yi.iu.processor.ImageProcessor
{
    public int[] getProcessedPseudoColor(int source[], Dimension d)
    {
        int [] rst;
        rst= getProcessed(source, d);
        yi.util.ImageUtil.makeImageFromGray(rst);
        return rst;
    }
}
